<?php
/***************************** Config *******************************/
// Set some global config variables about your system.
// Next three are NOT yet implemented for LDAP
$user_can_update_password = false;
$admin_can_add_user = true;
$admin_can_delete_user = true;


//------ LDAP General Server Settings ------//
//
// Name or address of the LDAP server 
//  For SSL/TLS use 'ldaps://localhost'
$ldap_server = 'localhost';          

// Port LDAP listens on (default 389)        
$ldap_port = '389';                   

// Use TLS for the connection (not the same as ldaps://)
$ldap_start_tls = false;

// If you need to set LDAP_OPT_PROTOCOL_VERSION
$set_ldap_version = false;
$ldap_version = '3'; // (usually 3)

// base DN to search for users      
$ldap_base_dn = 'o=gouv,c=fr';

// The ldap attribute used to find a user (login). 
// E.g., if you use cn,  your login might be "Jane Smith"
//       if you use uid, your login might be "jsmith"
$ldap_login_attr = 'uid';

// Account used to bind to the server and search for information. 
// This user must have the correct rights to perform search.
// If left empty the search will be made in anonymous.
//
// *** We do NOT recommend storing the root LDAP account info here ***
$ldap_admin_dn = '';  // user DN
$ldap_admin_pwd = ''; // user password


//------ Admin Group Settings ------//
//
// A group name (complete DN) to find users with admin rights
$ldap_admin_group_name = 'cn=DomainAdmins,o=gouv,c=fr';

// What type of group do we want (posixgroup, groupofnames, groupofuniquenames)
$ldap_admin_group_type = 'posixgroup';

// The LDAP attribute used to store member of a group
$ldap_admin_group_attr = 'MemberUid';


//------ LDAP Search Settings ------//
//
// LDAP filter to find a user list.
$ldap_user_filter = '(objectclass=PosixAccount)';

// Attributes to fetch from LDAP and corresponding user variables in the
// application. Do change according to your LDAP Schema
$ldap_user_attr = array( 
  // LDAP attribute   //WebCalendar variable
  'uid',              //login
  'sn',               //lastname
  'givenname',        //firstname
  'cn',               //fullname
  'mail',             //email
  'codecivilite',     //civilite
  'typeadmin',        //pour diffrencier profs et lves
  'divcod'            //pour pouvoir ranger les lves par classe
);

$ldap_civilite = array(1=>"M.",2=>"Mme",3=>"Mme");

//utilisateurs  ne pas afficher
$ldap_uid_exclusions = array(
	'Meta_prof',
	'Meta_parent',
	'Meta_eleve',
	'Meta_perdir',
	'Visiteur',
	'admin'
);
?>
